package com.videonext.mplayer.api;

import java.awt.Container;

public interface IPlayer extends IPlayerController {

	static final String PROPERTY_STREAM_OVER_TCP = "streamOverTCP";
	
	/**
	 * Set still image on the front of player panel
	 * @param img byte array of JPEG image
	 */
	void setStillImage(byte[] img);

	/**
	 * Open stream
	 * @param url
	 */
	void open(String url);

	Object getId();
		
    Container getOverlay();
}
